Name:		mint-x-icons
Version:	1.4.3
Release:	2%{?dist}
Summary:	Icon theme for Linux Mint

License:	GPLv3+
URL:		http://linuxmint.com
Source0:	http://packages.linuxmint.com/pool/main/m/%{name}/%{name}_%{version}.tar.xz

BuildArch:	noarch

BuildRequires:	fdupes

Requires:	filesystem
Requires:	gnome-icon-theme
Requires:	hicolor-icon-theme

%description
%{summary}.


%prep
%autosetup -c


%build
# Remove icons for nm-applet, because they are ugly.
%{_bindir}/find %{name}%{_prefix} -name "nm-*" -type l -exec unlink {} \;
%{_bindir}/find %{name}%{_prefix} -name "nm-*" -type f -delete


%install
%{__cp} -pr %{name}%{_prefix} %{buildroot}
%fdupes -s %{buildroot}


%post
for d in $(%{_bindir}/find %{_datadir}/icons -maxdepth 1 -type d -name 'Mint-X*') ; do
	/bin/touch --no-create %{_datadir}/icons/${d} &>/dev/null || :
done


%postun
if [ $1 -eq 0 ] ; then
	for d in $(%{_bindir}/find %{_datadir}/icons -maxdepth 1 -type d -name 'Mint-X*') ; do
		/bin/touch --no-create %{_datadir}/icons/${d} &>/dev/null
		%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/${d} &>/dev/null || :
	done
fi


%posttrans
for d in $(%{_bindir}/find %{_datadir}/icons -maxdepth 1 -type d -name 'Mint-X*') ; do
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/${d} &>/dev/null || :
done


%files
%license %{name}/debian/copyright
%doc %{name}/debian/changelog
%{_datadir}/icons/Mint-X*


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 13 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.3-1
- New upstream release (rhbz#1460844)

* Sun May 14 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.4.2-4
- Remove NetworkManager related icons symlinks

* Fri May 12 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.2-3
- Fully remove all NetworkManager related icons
- Add needed Requires: {gnome,hicolor}-icon-theme

* Thu May 11 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.2-2
- Remove icons for nm-applet, because they are ugly

* Mon May 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.2-1
- New upstream release (rhbz#1448742)

* Wed Mar 22 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.1-1
- New upstream release (rhbz#1434631)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 29 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.0-2
- Symlink files to save disk-space

* Mon Jan 09 2017 Björn Esser <bjoern.esser@gmail.com> - 1.4.0-1
- Initial rpm-release (rhbz#1411152)

* Sun Jan 08 2017 Björn Esser <bjoern.esser@gmail.com> - 1.4.0-0.1
- Initial package (rhbz#1411152)
